import request, { postBlob } from '@/utils/request'

export function partsChangeSalesList(data) {
  return request({
    url: `/parts/change-sales/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function partsChangeSalesExport(data, name) {
  return postBlob({
    url: '/parts/change-sales/list/export',
    data,
    name
  })
}

export function partsChangeSalesExamine(params) {
  return request({
    url: `/parts/change-sales/examine`,
    method: 'post',
    params
  })
}

export function partsChangeSalesDetail(params) {
  return request({
    url: '/parts/change-sales/detail',
    method: 'post',
    params
  })
}
